%define major 6
%define liboldx %mklibname oldx %{major}
%define devoldx %mklibname oldx -d

Name: liboldx
Summary:  The oldX Library
Version: 1.0.1
Release: %mkrel 15
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/liboldX-%{version}.tar.bz2
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X.Org X11 liboldX runtime library.

#-----------------------------------------------------------

%package -n %{liboldx}
Summary:  The oldX Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{liboldx}
The oldX Library

%files -n %{liboldx}
%{_libdir}/liboldX.so.%{major}
%{_libdir}/liboldX.so.%{major}.0.0

#-----------------------------------------------------------

%package -n %{devoldx}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{liboldx} = %{version}-%{release}
Provides: liboldx-devel = %{version}-%{release}
Conflicts: libxorg-x11-devel < 7.0
Obsoletes: %{_lib}oldx6-devel < 1.0.1-11
Obsoletes: %{_lib}oldx6-static-devel < 1.0.1-11

%description -n %{devoldx}
Development files for %{name}.

%files -n %{devoldx}
%{_libdir}/liboldX.so
%{_libdir}/pkgconfig/oldx.pc
%{_includedir}/X11/X10.h

#-----------------------------------------------------------

%prep
%setup -q -n liboldX-%{version}

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.0.1-15.mga6
+ Revision: 946830
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-14.mga5
+ Revision: 742167
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-13.mga5
+ Revision: 681679
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.1-12.mga4
+ Revision: 532482
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 wally <wally> 1.0.1-11.mga4
+ Revision: 468483
- drop major from devel pkg name
- disable static build

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.0.1-10.mga3
+ Revision: 397138
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-9.mga3
+ Revision: 357923
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 27 2012 fwang <fwang> 1.0.1-8.mga3
+ Revision: 274950
- drop .la file

* Wed Jan 12 2011 dmorgan <dmorgan> 1.0.1-8.mga1
+ Revision: 6596
- imported package liboldx


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-8mdv2011.0
+ Revision: 602591
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-7mdv2010.1
+ Revision: 520894
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.1-6mdv2010.0
+ Revision: 425656
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-5mdv2009.0
+ Revision: 222944
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-4mdv2008.1
+ Revision: 150739
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Tue May 16 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-16 23:54:45 (27471)
- better(?) description

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

